Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034435
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2016-11-04 10:482016-11-11 12:56
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3.3
StatusclosedFix in branchFixed in SCM revision58771c034b80
ProjectionnoneETAnoneTarget Version3.0PR16Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2015-07-16
Regression introduced in release3.0PR15Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/8860b648abb2 [^]
Triggers an Emergency PackNo
Summary

0034435: Tax are duplicated in voided Sales Invoices if the original include a basic discount. Total Gross Amount does not match

DescriptionTax are duplicated in voided Sales Invoices if the original include a basic discount. Total Gross Amount does not match
Steps To ReproduceAs group admin role:
   Create a Sales Invoice, add a line and 'Descuento 10%' basic discount to it and complete it
   Void it
   Check two records are created in the tax tab of the automatically created invoice and that the total gross amount does not match the original total gross amount
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0034392 closedmarkmm82 Tax are duplicated in voided Sales Invoices if the original include a basic discount. Total Gross Amount does not match 

-  Notes
(0091395)
hgbot (developer)
2016-11-11 12:55

Repository: erp/backports/3.0PR16Q3.3
Changeset: 58771c034b804a5cd9711188b13319bad4db26ba
Author: Mark <markmm82 <at> gmail.com>
Date: Mon Nov 07 16:43:46 2016 -0500
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/58771c034b804a5cd9711188b13319bad4db26ba [^]

Fixes issue 34435: Avoid duplicated taxes in voided Sales Invoices if discounts

When taxes of the reversed invoice are created only manual taxes are taken into
account (reacalculate flag set as Y).

---
M src-db/database/model/functions/C_INVOICE_POST.xml
---
(0091396)
aferraz (developer)
2016-11-11 12:56

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2016-11-08 17:22 markmm82 Type defect => backport
2016-11-08 17:22 markmm82 Target Version => 3.0PR16Q3.3
2016-11-11 12:55 hgbot Checkin
2016-11-11 12:55 hgbot Note Added: 0091395
2016-11-11 12:55 hgbot Status scheduled => resolved
2016-11-11 12:55 hgbot Resolution open => fixed
2016-11-11 12:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.3/rev/58771c034b804a5cd9711188b13319bad4db26ba [^]
2016-11-11 12:56 aferraz Review Assigned To => aferraz
2016-11-11 12:56 aferraz Note Added: 0091396
2016-11-11 12:56 aferraz Status resolved => closed
2016-11-11 12:56 aferraz Fixed in Version => 3.0PR16Q3.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker